using System.Collections.Generic;
using System.Threading.Tasks;
using GxPress.Entity.WorkProcess;
using Datory;

namespace GxPress.Repository.Interface.WorkProcess
{
    public interface IRuleCarbonCopyRepository : IRepository
    {
        Task<int> InsertAsync(RuleCarbonCopy rule);

        Task<IEnumerable<RuleCarbonCopy>> GetListAsync(int nodeId);

        Task DeleteByNodeIdListAsync(IEnumerable<int> nodeIdList);
    }
}